Undo previously applied ripple changes
POST
/api/canvas/{deal_id}/ripple/undo
const url = 'https://example.com/api/canvas/example/ripple/undo';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"rollback_token":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/canvas/example/ripple/undo \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "rollback_token": "example" }'Restore sections to their pre-ripple state using a rollback token.
The rollback token expires after 1 hour.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” deal_id
required
Deal Id
string
Request Body required
Section titled “Request Body required ” Media type application/json
RippleUndoRequest
Request body for undoing applied ripple changes.
object
rollback_token
required
Rollback Token
Token from the apply response
string
Example generated
{ "rollback_token": "example"}Responses
Section titled “ Responses ”Successful Response
Media type application/json
Example generated
exampleValidation Error
Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Example generated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}